Search documentation of polar_express

# PolarExpress.Services.PaymentsService (polar_express v0.1.5)

Copy Markdown View Source

Payments

Payments API operations.

## Summary

### Functions

get_payment(client, id, params \\ %{}, opts \\ [])

Get Payment

list_payments(client, params \\ %{}, opts \\ [])

List Payments

## Functions

# get_payment(client, id, params \\ %{}, opts \\ [])

    @spec get_payment(PolarExpress.Client.t(), String.t(), map(), keyword()) ::
      {:ok, PolarExpress.Schemas.Payment.t()} | {:error, PolarExpress.Error.t()}

Get Payment

Get a payment by ID.

Scopes: `payments:read`

See `PolarExpress.Params.PaymentsGetPaymentParams` for parameter details.

# list_payments(client, params \\ %{}, opts \\ [])

    @spec list_payments(PolarExpress.Client.t(), map(), keyword()) ::
      {:ok, PolarExpress.ListObject.t()} | {:error, PolarExpress.Error.t()}

List Payments

List payments.

Scopes: `payments:read`

See `PolarExpress.Params.PaymentsListPaymentsParams` for parameter details.